# {{ ansible_managed }}
#
# replicator.properties
#

# where to retrieve login service IOR
replicator.publicationIorUrl = {{ application_properties[ 'replicator.publication.ior_url' ] }}

# user and password for login to the staging server
replicator.user              = {{ application_properties[ 'replicator.user' ] }}
replicator.domain            = {{ application_properties[ 'replicator.domain' ] }}
replicator.password          = {{ application_properties[ 'replicator.password' ] }}

# where to store temporary blob/sgml files and packaged event files.
# may be relative to <install-dir>
replicator.tmpDir            = {{ application_properties[ 'replicator.tmp_dir' ] }}

# the minimum number of pending events such that event chunking
# to be used during replicator startup; this is also the size of
# fetched chunks
replicator.chunkingThreshold = 10000

# The maximum number of events that the packager holds in main memory
# before flushing to disk
replicator.Packager.flushSize=500

# channel sizes for the replicator's pipeline stages, no entry means unlimited
replicator.IncomingCounter.channelSize=100
replicator.Preparer.channelSize=10000
replicator.PrepareLogger.channelSize=100
replicator.PreparerComplete.channelSize=1000
replicator.PrepareCompleteLogger.channelSize=100
replicator.Packager.channelSize=1000
replicator.PackageLogger.channelSize=100
replicator.Executor.channelSize=1000
replicator.ExecutionLogger.channelSize=100
replicator.CompletedCounter.channelSize=100

# control replicator behaviour
#replicator.startupTimeout=false
#replicator.enable=true
#replicator.preventOnlineSwitch=false
#replicator.maxAcceptedLag=100

# control replicator behaviour if a local error happens
#replicator.restartReplicatorOnError=true
#replicator.shutdownServerOnError=false
#replicator.restartReplicatorDuringSetup=true

# enable event logging
#replicator.logEvents=false;

# control behaviour for publication server event stream
#replicator.autoRestart=true
#replicator.checkStream=true
#replicator.checkTimeout=300

# control optimization for high latency connections
#replicator.prepareThreads=4
#replicator.disposeThreads=3
